Special:Allpages should mark redirects distinctly
Closed, ResolvedPublic

Description

Author: gangleri

Description:
[[Special:Allpages]] is very usefull.

It should be possible to see what is a redirect an what is a "normal" page
directly at this level.

Best regards Reinhardt [[user:gangleri]]


Version: unspecified
Severity: enhancement
URL: http://idler.paivola.fi/betawiki/special:Allpages/project:!

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:30 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2318.
bzimport created this task.Via LegacyJun 4 2005, 9:55 AM
brion added a comment.Via ConduitJun 4 2005, 10:36 PM

Changing summary; italics may not be the best indicator.

bzimport added a comment.Via ConduitJun 4 2005, 11:37 PM

avarab wrote:

See also: bug 1991 and bug 1996

bzimport added a comment.Via ConduitJun 5 2005, 12:25 AM

gangleri wrote:

Thanks Brion for the suggestion. I was concerned also about alphabets as ar: gu:
hi: ko: etc.

  1. An alternate way to mark the redirects could be to generate two links. The

main with &purge=no and beside it an arrow → for LTR and ← for RTL wiki's with
the link to the page where the redirect is pointing two.

  1. Thinking further I recalled that [[Special:DoubleRedirects]] is normaly not

included in [[Special:Specialpages]] at many wiki's. It migth be an aditional
indication to handle them differently. Many people may have problems with
"blinking". Pointing to a problem would be the correct usage.

For this seccond suggestion both performance and efforts should be considered.

Best regards Reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitJun 9 2005, 7:15 PM

gangleri wrote:

Halló!

As soon as there is an agreement about a suitable indication for redirects this
could be used also in other special pages as

[[Special:Contributions]], [[Special:Recentchanges]] and so son

Regards Reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitJun 17 2005, 9:55 AM

gangleri wrote:

addition to comment 4

Hallo!
Because redirects can be included in categories it might be a good idea to have
same "look and feel" also in the category namespace.

Benefits: Looking through a huge category users can distinguish between pages
not redirect pages and redirects.

Regards Reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitJul 16 2005, 8:19 AM

patrick.wikipedia wrote:

See
http://jadesukka.homelinux.org:8180/mediawiki15c/index.
php?title=Toiminnot%3AAllpages&from=albert&namespace=0
where it works already.

bzimport added a comment.Via ConduitJul 18 2005, 7:59 PM

gangleri wrote:

see bug 2872: Redirect links on Special:Watchlist

bug 759: Distinguish redirects on the watchlist editing page
its duplicate: bug 2640: Mark redirects on watchlist edit
bug 2814: Special:Disambiguations issues (interface strings, redirects)

bug 2902: show all redirects to a page on the targets Special:Whatlinkshere if
last contains more then (limit - 500?) links

Nikerabbit added a comment.Via ConduitJul 23 2005, 11:44 PM

avar has committed to code to cvs that bla bla accomplishes this better than my
solution.
see http://mail.wikipedia.org/pipermail/mediawiki-cvs/2005-July/010231.html
Marking this as fixed.

bzimport added a comment.Via ConduitDec 14 2005, 12:16 AM

gangleri wrote:

Thanks Niklas, Thanks Ævar, Thanks Rob, Thanks Rich!

from [[en:user_talk:Rich_Farmbrough]]

/* Copy text starting after this line */

.allpagesredirect {

font-style: italic;
margin-left: 1em;

}

/* Stop copying above this line */

bzimport added a comment.Via ConduitFeb 25 2006, 12:45 PM

gangleri wrote:

updated url for 'Betawiki'
alternate url's [[wikt:special:Allpages/project:!]],
[[de:special:Allpages/project:!]] etc.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.